> ## Documentation Index
> Fetch the complete documentation index at: https://generaltranslation.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# त्वरित शुरुआत

> id या मालिक के आधार पर सूचियाँ खोजें

export const Button = ({href, children}) => {
  return <div className="not-prose group">
    <a href={href}>
      <button className="flex items-center space-x-2.5 py-1 px-4 bg-primary-dark dark:bg-white text-white dark:text-gray-950 rounded-full group-hover:opacity-[0.9] font-medium">
        <span>
          {children}
        </span>
        <svg width="3" height="24" viewBox="0 -9 3 24" class="h-6 rotate-0 overflow-visible"><path d="M0 0L3 3L0 6" fill="none" stroke="currentColor" stroke-width="1.5" stroke-linecap="round"></path></svg>
      </button>
    </a>
  </div>;
};

यह मार्गदर्शिका आपको List lookup endpoints का उपयोग करके सूची की जानकारी प्राप्त करने का तरीका बताती है।

<Note>
  **पूर्वापेक्षाएँ**

  शुरू करने से पहले, आपको इनकी आवश्यकता होगी:

  * एक स्वीकृत ऐप के साथ [डेवलपर खाता](https://developer.x.com/en/portal/petition/essential/basic-info)
  * आपके ऐप का बेयरर टोकन
</Note>

***

<div id="get-a-list-by-id">
  ## ID द्वारा किसी सूची को प्राप्त करें
</div>

किसी विशिष्ट सूची का विवरण प्राप्त करें:

<CodeGroup dropdown>
  ```bash cURL theme={null}
  curl "https://api.x.com/2/lists/1234567890?\
  list.fields=description,owner_id,member_count,follower_count,private,created_at" \
    -H "Authorization: Bearer $BEARER_TOKEN"
  ```

  ```python Python SDK theme={null}
  from xdk import Client

  client = Client(bearer_token="YOUR_BEARER_TOKEN")

  # ID द्वारा किसी सूची को प्राप्त करें
  response = client.lists.get(
      "1234567890",
      list_fields=["description", "owner_id", "member_count", "follower_count", "private", "created_at"]
  )

  print(f"List: {response.data.name}")
  print(f"Members: {response.data.member_count}")
  ```

  ```javascript JavaScript SDK theme={null}
  import { Client } from "@xdevplatform/xdk";

  const client = new Client({ bearerToken: "YOUR_BEARER_TOKEN" });

  // ID द्वारा किसी सूची को प्राप्त करें
  const response = await client.lists.get("1234567890", {
    listFields: ["description", "owner_id", "member_count", "follower_count", "private", "created_at"],
  });

  console.log(`List: ${response.data?.name}`);
  console.log(`Members: ${response.data?.member_count}`);
  ```
</CodeGroup>

<div id="response">
  ### रिस्पॉन्स
</div>

```json theme={null}
{
  "data": {
    "id": "1234567890",
    "name": "Tech News",
    "description": "Top tech journalists and publications",
    "owner_id": "2244994945",
    "private": false,
    "member_count": 50,
    "follower_count": 1250,
    "created_at": "2023-01-15T10:00:00.000Z"
  }
}
```

***

<div id="get-lists-owned-by-a-user">
  ## उपयोगकर्ता के स्वामित्व वाली सूचियाँ प्राप्त करें
</div>

किसी विशेष उपयोगकर्ता के स्वामित्व वाली सभी सूचियाँ प्राप्त करें:

<CodeGroup dropdown>
  ```bash cURL theme={null}
  curl "https://api.x.com/2/users/2244994945/owned_lists?\
  list.fields=description,member_count,follower_count&\
  max_results=100" \
    -H "Authorization: Bearer $BEARER_TOKEN"
  ```

  ```python Python SDK theme={null}
  from xdk import Client

  client = Client(bearer_token="YOUR_BEARER_TOKEN")

  # पेजिनेशन के साथ उपयोगकर्ता के स्वामित्व वाली सूचियाँ प्राप्त करें
  for page in client.lists.get_owned_lists(
      "2244994945",
      list_fields=["description", "member_count", "follower_count"],
      max_results=100
  ):
      for lst in page.data:
          print(f"{lst.name} - {lst.member_count} members")
  ```

  ```javascript JavaScript SDK theme={null}
  import { Client } from "@xdevplatform/xdk";

  const client = new Client({ bearerToken: "YOUR_BEARER_TOKEN" });

  // पेजिनेशन के साथ उपयोगकर्ता के स्वामित्व वाली सूचियाँ प्राप्त करें
  const paginator = client.lists.getOwnedLists("2244994945", {
    listFields: ["description", "member_count", "follower_count"],
    maxResults: 100,
  });

  for await (const page of paginator) {
    page.data?.forEach((lst) => {
      console.log(`${lst.name} - ${lst.member_count} members`);
    });
  }
  ```
</CodeGroup>

<div id="response">
  ### रिस्पॉन्स
</div>

```json theme={null}
{
  "data": [
    {
      "id": "1234567890",
      "name": "Tech News",
      "description": "Top tech journalists",
      "member_count": 50,
      "follower_count": 1250
    },
    {
      "id": "9876543210",
      "name": "Developer Tools",
      "description": "Useful tools for developers",
      "member_count": 25,
      "follower_count": 500
    }
  ],
  "meta": {
    "result_count": 2
  }
}
```

***

<div id="include-owner-information">
  ## मालिक की जानकारी शामिल करें
</div>

मालिक के उपयोगकर्ता डेटा का विस्तार करें:

<CodeGroup dropdown>
  ```bash cURL theme={null}
  curl "https://api.x.com/2/lists/1234567890?\
  list.fields=description,owner_id&\
  expansions=owner_id&\
  user.fields=username,verified" \
    -H "Authorization: Bearer $BEARER_TOKEN"
  ```

  ```python Python SDK theme={null}
  from xdk import Client

  client = Client(bearer_token="YOUR_BEARER_TOKEN")

  # मालिक की जानकारी के साथ सूची प्राप्त करें
  response = client.lists.get(
      "1234567890",
      list_fields=["description", "owner_id"],
      expansions=["owner_id"],
      user_fields=["username", "verified"]
  )

  print(f"List: {response.data.name}")
  # मालिक की जानकारी response.includes.users में है
  ```

  ```javascript JavaScript SDK theme={null}
  import { Client } from "@xdevplatform/xdk";

  const client = new Client({ bearerToken: "YOUR_BEARER_TOKEN" });

  // मालिक की जानकारी के साथ सूची प्राप्त करें
  const response = await client.lists.get("1234567890", {
    listFields: ["description", "owner_id"],
    expansions: ["owner_id"],
    userFields: ["username", "verified"],
  });

  console.log(`List: ${response.data?.name}`);
  // मालिक की जानकारी response.includes?.users में है
  ```
</CodeGroup>

<div id="response-with-expansion">
  ### एक्सपैंशन के साथ रिस्पॉन्स
</div>

```json theme={null}
{
  "data": {
    "id": "1234567890",
    "name": "Tech News",
    "description": "Top tech journalists",
    "owner_id": "2244994945"
  },
  "includes": {
    "users": [
      {
        "id": "2244994945",
        "username": "XDevelopers",
        "verified": true
      }
    ]
  }
}
```

***

<div id="available-fields">
  ## उपलब्ध फ़ील्ड्स
</div>

| फ़ील्ड           | विवरण                   |
| :--------------- | :---------------------- |
| `description`    | सूची का विवरण           |
| `owner_id`       | स्वामी की उपयोगकर्ता ID |
| `private`        | क्या सूची निजी है       |
| `member_count`   | सदस्यों की संख्या       |
| `follower_count` | फ़ॉलोअर्स की संख्या     |
| `created_at`     | सूची बनाने की तारीख     |

***

<div id="next-steps">
  ## अगले चरण
</div>

<CardGroup cols={2}>
  <Card title="सूची पोस्ट्स" icon="list" href="/hi/x-api/lists/list-tweets/quickstart">
    किसी सूची से पोस्ट्स प्राप्त करें
  </Card>

  <Card title="सूची के सदस्य" icon="users" href="/hi/x-api/lists/list-members/quickstart/list-members-lookup">
    सूची के सदस्य प्राप्त करें
  </Card>

  <Card title="सूचियों का प्रबंधन" icon="pen" href="/hi/x-api/lists/manage-lists/quickstart">
    सूचियाँ बनाएँ और अपडेट करें
  </Card>

  <Card title="API संदर्भ" icon="code" href="/hi/x-api/lists/list-lookup-by-list-id">
    एंडपॉइंट का पूरा दस्तावेज़ीकरण
  </Card>
</CardGroup>
